Package org.eclipse.m2m.atl.emftvm.trace.impl

## Class SourceElementListImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.trace.impl.SourceElementListImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `SourceElementList`

    public class SourceElementListImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements SourceElementList

An implementation of the model object 'Source Element List'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected org.eclipse.emf.common.util.EList<SourceElement>` `sourceElements` The cached value of the '`Source Elements`' reference list.
`protected org.eclipse.emf.common.util.EList<java.lang.Object>` `sourceObjects` Cached list of source element objects.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `SourceElementListImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDefaultFor​(TraceLinkSet newDefaultFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetUniqueFor​(TracedRule newUniqueFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`boolean` `eNotificationRequired()`
`void` `eNotify​(org.eclipse.emf.common.notify.Notification notification)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`TraceLinkSet` `getDefaultFor()`
`org.eclipse.emf.common.util.EList<SourceElement>` `getSourceElements()`
`org.eclipse.emf.common.util.EList<java.lang.Object>` `getSourceObjects()`
`TracedRule` `getUniqueFor()`
`void` `setDefaultFor​(TraceLinkSet newDefaultFor)`
`void` `setUniqueFor​(TracedRule newUniqueFor)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eSetDeliver`

### Field Detail

#### sourceElements

    protected org.eclipse.emf.common.util.EList<SourceElement> sourceElements

The cached value of the '`Source Elements`' reference list.

See Also:
  `getSourceElements()`

#### sourceObjects

    protected final org.eclipse.emf.common.util.EList<java.lang.Object> sourceObjects

Cached list of source element objects.

### Constructor Detail

#### SourceElementListImpl

    protected SourceElementListImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getSourceElements

    public org.eclipse.emf.common.util.EList<SourceElement> getSourceElements()

Specified by:
  `getSourceElements` in interface `SourceElementList`
Returns:
  the value of the 'Source Elements' reference list.
See Also:
  `TracePackage.getSourceElementList_SourceElements()`

#### getDefaultFor

    public TraceLinkSet getDefaultFor()

Specified by:
  `getDefaultFor` in interface `SourceElementList`
Returns:
  the value of the 'Default For' container reference.
See Also:
  `SourceElementList.setDefaultFor(TraceLinkSet)`, `TracePackage.getSourceElementList_DefaultFor()`, `TraceLinkSet.getDefaultSourceElementLists()`

#### basicSetDefaultFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetDefaultFor​(TraceLinkSet newDefaultFor,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

#### setDefaultFor

    public void setDefaultFor​(TraceLinkSet newDefaultFor)

Specified by:
  `setDefaultFor` in interface `SourceElementList`
Parameters:
  `newDefaultFor` - the new value of the 'Default For' container reference.
See Also:
  `SourceElementList.getDefaultFor()`

#### getUniqueFor

    public TracedRule getUniqueFor()

Specified by:
  `getUniqueFor` in interface `SourceElementList`
Returns:
  the value of the 'Unique For' container reference.
See Also:
  `SourceElementList.setUniqueFor(TracedRule)`, `TracePackage.getSourceElementList_UniqueFor()`, `TracedRule.getUniqueSourceElementLists()`

#### basicSetUniqueFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetUniqueFor​(TracedRule newUniqueFor,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

#### setUniqueFor

    public void setUniqueFor​(TracedRule newUniqueFor)

Specified by:
  `setUniqueFor` in interface `SourceElementList`
Parameters:
  `newUniqueFor` - the new value of the 'Unique For' container reference.
See Also:
  `SourceElementList.getUniqueFor()`

#### getSourceObjects

    public org.eclipse.emf.common.util.EList<java.lang.Object> getSourceObjects()

Specified by:
  `getSourceObjects` in interface `SourceElementList`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eNotificationRequired

    public boolean eNotificationRequired()

Specified by:
  `eNotificationRequired` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eNotificationRequired` in class `org.eclipse.emf.common.notify.impl.BasicNotifierImpl`

#### eNotify

    public void eNotify​(org.eclipse.emf.common.notify.Notification notification)

Specified by:
  `eNotify` in interface `org.eclipse.emf.common.notify.Notifier`
Overrides:
  `eNotify` in class `org.eclipse.emf.common.notify.impl.BasicNotifierImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`